<!DOCTYPE html>
<html lang="en">

<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <title>Products</title>
   <link rel="stylesheet" href="./css/bootstrap.min.css">
   <style>
      body {
         width: 100%;
         height: 100vh;
      }
      #payment {
         background-color: rgba(128, 128, 128, 0.8);
      }

      #payment-form {
         position: fixed;
         left: 50%;
         top: 50%;
         transform: translate(-50%, -50%);
      }

      #loading {
         position: fixed;
         top: 50%;
         left: 50%;
         transform: translate(-50%, -50%);
         padding: 5em 10em;
         border-radius: 0.2em;
      }

      .spinner-border {
         border-width: 1em;
         width: 1em;
         padding: 1em;
         height: 1em;
      }
      
   </style>
</head>

<body>
   <form id="payment-form" class="" style="width: 500px;">
      <div class="form-group">
         <label for="">Amount</label>
         <input class="form-control" type="text" name="" id="price">
      </div>
      <input id="pid" type="hidden" name="">
      <div class="form-group">
         <label for="card-element">
            Credit or debit card
         </label>
         <div class="border p-2" style="border-radius: 0.1em;" id="card-element">
            <!-- A Stripe Element will be inserted here. -->
         </div>

         <!-- Used to display Element errors. -->
         <div class="mt-2" style="color: red;" id="card-errors" role="alert"></div>
      </div>
      <div class="form-group mt-3">
         <button type="submit" class="btn btn-outline-success btn-sm">
            Submit Payment
         </button>
      </div>
   </form>
   <script src="https://js.stripe.com/v3/"></script>
   <script src="./js/init-payment-form.js"></script>
   <script src="./js/jquery-3.4.1.min.js"></script>
   <script src="./js/popper.min.js"></script>
   <script src="./js/bootstrap.min.js"></script>
   <script src="./js/payment-handler.js"></script>
   <script src="./js/sweetalert2.all.min.js"></script>
</body>
<div id="loading" class="bg-primary text-white shadow-sm d-none mt-2">
   <div class="spinner-border" role="status">
      <span class="sr-only">Loading...</span>
   </div>
   <p>Processing...</p>
</div>

</html>
<script>

</script>